from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XViewCursor(XInterface, Protocol):
    def goDown(self, nCount: int, bExpand: bool) -> bool: ...
    def goUp(self, nCount: int, bExpand: bool) -> bool: ...
    def goLeft(self, nCount: int, bExpand: bool) -> bool: ...
    def goRight(self, nCount: int, bExpand: bool) -> bool: ...
